sudo apt-get install -y qemu-utils qemu-efi-aarch64 qemu-system-arm qemu-system-gui cpu-checker virt-manager


KVM_USER_GROUP=kvm

cat <<-EOF | tee /etc/polkit-1/rules.d/50-libvirt.rules > /dev/null
	/* Allow users in ${KVM_USER_GROUP} group to manage the libvirt
	daemon without authentication */
	polkit.addRule(function(action, subject) {
	    if (action.id == "org.libvirt.unix.manage" &&
		subject.isInGroup("${KVM_USER_GROUP}")) {
		    return polkit.Result.YES;
	    }
	});
EOF

sudo usermod -aG kvm ${USER}
sudo usermod -aG libvirt ${USER}
sudo usermod -aG libvirt-qemu ${USER}

echo "options kvm-intel nested=1" | sudo tee /etc/modprobe.d/kvm-intel.conf
